Bug Hunting Session
Bug 124855 - LibreOffice 6.2.3 on Ubuntu 19.04 (Disco) cannot find installed JRE, even if I try to direct it to the directory manually.
Summary: LibreOffice 6.2.3 on Ubuntu 19.04 (Disco) cannot find installed JRE, even if ...
Status: RESOLVED DUPLICATE of bug 124503
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.2.3.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, regression
Depends on:
Blocks: Java-Runtime-JRE
  Show dependency treegraph
 
Reported: 2019-04-20 10:04 UTC by PhotonQyv
Modified: 2019-04-20 11:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description PhotonQyv 2019-04-20 10:04:27 UTC
Description:
I installed LibreOffice 6.2.3 using the debs from libreoffice.org, and found that, at least on Kubuntu 19.04 (Disco), the application cannot find the JRE that is installed. I checked with the version that comes with Kubuntu, which is 6.2.2 and that finds the JRE automatically perfectly fine.

If I try to add the path that works for 6.2.2 manually into 6.2.3 I get a dialog that tells me that the path I've entered does not contain a JRE!

Steps to Reproduce:
1. Open LibreOffice 6.2.3
2. Open Tools -> Options -> Advanced (with use Java Runtime Environment ticked).
3. Application should detect location of existing installation of JRE.

Actual Results:
Application fails to detect existing installation of JRE, fails to populate table with path to the JRE.

Expected Results:
Application should detect existing version of JRE, since the previous version, 6.2.2 works perfectly. 


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Trying to enter the path manually the application reports, with a dialog, that the path doesn't contain a JRE.

Version: 6.2.3.2
Build ID: aecc05fe267cc68dde00352a451aa867b3b546ac
CPU threads: 2; OS: Linux 5.0; UI render: default; VCL: gtk3; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-GB
Calc: threaded

Log info:
https://gerrit.libreoffice.org/plugins/gitiles/core/+log/aecc05fe267cc68dde00352a451aa867b3b546ac
Comment 1 mechtilde 2019-04-20 10:31:23 UTC
which JRE version is installed?
Comment 2 Buovjaga 2019-04-20 11:37:25 UTC

*** This bug has been marked as a duplicate of bug 124503 ***